.Anim-Transition {
  perspective: 1000px;
  --perspective-origin: center;
}

.Anim-Flip-In-H {-webkit-animation:flip-in-hor-bottom 1s cubic-bezier(.25,.46,.45,.94) both;animation:flip-in-hor-bottom 1s cubic-bezier(.25,.46,.45,.94) both}
  @-webkit-keyframes flip-in-hor-bottom{0%{-webkit-transform:rotateX(80deg);transform:rotateX(80deg);opacity:0}100%{-webkit-transform:rotateX(0);transform:rotateX(0);opacity:1}}@keyframes flip-in-hor-bottom{0%{-webkit-transform:rotateX(80deg);transform:rotateX(80deg);opacity:0}100%{-webkit-transform:rotateX(0);transform:rotateX(0);opacity:1}}

.Anim-Flip-Out-H {-webkit-animation: flip-out-hor-top 0.5s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;}
  @keyframes flip-out-hor-top {  0% {-webkit-transform: rotateX(0);opacity: 1;  }  100% {    -webkit-transform: rotateX(70deg);    opacity: 0;  }}

.Anim-Flip-In-V {-webkit-animation:flip-in-ver-left .5s cubic-bezier(.25,.46,.45,.94) both;animation:flip-in-ver-left .5s cubic-bezier(.25,.46,.45,.94) both}
  @keyframes flip-in-ver-left{0%{transform:rotateY(80deg);opacity:0}100%{transform:rotateY(0);opacity:1}}

.Anim-Flip-In-Diag-UL {animation:flip-in-diag-1-bl .5s cubic-bezier(.25,.46,.45,.94) both}
  @keyframes flip-in-diag-1-bl{0%{transform:rotate3d(1,1,0,80deg);opacity:0}100%{transform:rotate3d(1,1,0,0deg);opacity:1}}

.Anim-Slide-In-Fwd-Center {animation:slide-in-fwd-center .4s cubic-bezier(.25,.46,.45,.94) both}
 @keyframes slide-in-fwd-center{0%{transform:translateZ(-1400px);opacity:0}100%{transform:translateZ(0);opacity:1}}

.Anim-Slit-In-V {-webkit-animation:slit-in-vertical .45s ease-out both;animation:slit-in-vertical .45s ease-out both}
  @-webkit-keyframes slit-in-vertical{0%{-webkit-transform:translateZ(-800px) rotateY(90deg);transform:translateZ(-800px) rotateY(90deg);opacity:0}54%{-webkit-transform:translateZ(-160px) rotateY(87deg);transform:translateZ(-160px) rotateY(87deg);opacity:1}100%{-webkit-transform:translateZ(0) rotateY(0);transform:translateZ(0) rotateY(0)}}@keyframes slit-in-vertical{0%{-webkit-transform:translateZ(-800px) rotateY(90deg);transform:translateZ(-800px) rotateY(90deg);opacity:0}54%{-webkit-transform:translateZ(-160px) rotateY(87deg);transform:translateZ(-160px) rotateY(87deg);opacity:1}100%{-webkit-transform:translateZ(0) rotateY(0);transform:translateZ(0) rotateY(0)}}

.Anim-Swing-In-Top {-webkit-animation:swing-in-top-fwd 1s cubic-bezier(.175,.885,.32,1.275) both;animation:swing-in-top-fwd 1s cubic-bezier(.175,.885,.32,1.275) both}
  @-webkit-keyframes swing-in-top-fwd{0%{-webkit-transform:rotateX(-100deg);transform:rotateX(-100deg);-webkit-transform-origin:top;transform-origin:top;opacity:0}100%{-webkit-transform:rotateX(0deg);transform:rotateX(0deg);-webkit-transform-origin:top;transform-origin:top;opacity:1}}@keyframes swing-in-top-fwd{0%{-webkit-transform:rotateX(-100deg);transform:rotateX(-100deg);-webkit-transform-origin:top;transform-origin:top;opacity:0}100%{-webkit-transform:rotateX(0deg);transform:rotateX(0deg);-webkit-transform-origin:top;transform-origin:top;opacity:1}}

.Anim-Swing-In-Bottom {animation:swing-in-bottom-fwd .5s cubic-bezier(.175,.885,.32,1.275) both}
 @keyframes swing-in-bottom-fwd{0%{transform:rotateX(100deg);transform-origin:bottom;opacity:0}100%{transform:rotateX(0);transform-origin:bottom;opacity:1}}

.Anim-Push-In-From-Top  {animation:kenburns-top 5s ease-out both}
  @keyframes kenburns-top{0%{transform:scale(1) translateY(0);transform-origin:50% 16%}100%{transform:scale(1.25) translateY(-15px);transform-origin:top}}

.Anim-Push-In-From-Bottom {animation:kenburns-bottom 5s ease-out both}
  @keyframes kenburns-bottom{0%{transform:scale(1) translateY(0);transform-origin:50% 84%}100%{transform:scale(1.25) translateY(15px);transform-origin:bottom}}

.Anim-Heartbeat-Delay-3-5 {animation:heartbeat 1.5s ease-in-out 3s 5 both}
  @keyframes heartbeat{from{transform:scale(1);transform-origin:center center;animation-timing-function:ease-out}10%{transform:scale(.91);animation-timing-function:ease-in}17%{transform:scale(.98);animation-timing-function:ease-out}33%{transform:scale(.87);animation-timing-function:ease-in}45%{transform:scale(1);animation-timing-function:ease-out}}

.Anim-Slide-In-Bottom {animation:slide-in-bottom .5s cubic-bezier(.25,.46,.45,.94) both}
  @keyframes slide-in-bottom{0%{transform:translateY(1000px);opacity:0}100%{transform:translateY(0);opacity:1}}

.Anim-Slide-In-Right {animation:slide-in-right .5s cubic-bezier(.25,.46,.45,.94) both}
  @keyframes slide-in-right{0%{transform:translateX(1000px);opacity:0}100%{transform:translateX(0);opacity:1}}

.Anim-Flip-Up-From-Bottom {animation:swing-in-bottom-fwd .5s cubic-bezier(.175,.885,.32,1.275) .3s both} 
 @keyframes swing-in-bottom-fwd{0%{transform:rotateX(100deg);transform-origin:bottom;opacity:0}100%{transform:rotateX(0);transform-origin:bottom;opacity:1}} 

.Anim-Flip-Up-Back-Stay {animation:slide-rotate-hor-t-bck .5s cubic-bezier(.455,.03,.515,.955) both}
 @keyframes slide-rotate-hor-t-bck{0%{transform:translateY(0) translateZ(0) rotateX(0deg);transform-origin:top center}100%{transform:translateY(-150px) translateZ(-230px) rotateX(-90deg);transform-origin:top center}}

.Anim-Puff-In-Center {animation:puff-in-center .7s cubic-bezier(.47,0.000,.745,.715) both}
 @keyframes puff-in-center{0%{transform:scale(2);filter:blur(4px);opacity:0}100%{transform:scale(1);filter:blur(0);opacity:1}}

.Anim-Slide-Back-Center{animation:slide-bck-center .45s cubic-bezier(.47,0.000,.745,.715) both}
 @keyframes slide-bck-center{0%{transform:translateZ(0)}100%{transform:translateZ(-400px)}}

.Anim-Slide-Fwd-Center{animation:slide-fwd-center .45s cubic-bezier(.25,.46,.45,.94) both}oth}
 @keyframes slide-fwd-center{0%{transform:translateZ(0)}100%{transform:translateZ(160px)}}(-400px)}}


/* Must have Animate.css */
.Anim-Exit {
  animation: zoomOutLeft; 
  animation-duration: 1s;
}

.Anim-Enter {
  animation: flipInY; 
  animation-duration: 1s;
}

.Anim-FadeIn {
  animation: fadeIn; 
  animation-duration: 1s;
}

.Anim-BounceIn {
  animation: bounceIn; 
  animation-duration: 1s;
}

.Anim-BackInRight {
  animation: backInRight; 
  animation-duration: 1s;
}

.Anim-FlipIn {
  animation: flipInX; 
  animation-duration: 1s;
}